import java.util.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.awt.event.*;

public class Laanere {

  public static JTextField laanerIdTextField;
  public static JTextField navnTextField;
  public static JTextField adresseTextField;
  public static JTextField postNrByTextField;
  public static JTextField tlfTextField;
  public static JTextField regDatoTextField;

  public Laanere() {

    JFrame laanereFrame = new JFrame("Lnere");
    Container pane = laanereFrame.getContentPane();
    laanereFrame.setSize(400,300);

    LaanereNavigatorButtonListener laanereNavigatorButtonListener =
                                  new LaanereNavigatorButtonListener();
    JPanel navigatorPanel = new JPanel(new FlowLayout());

    JButton firstButton = new JButton("<<");
    navigatorPanel.add(firstButton);

    JButton priorButton = new JButton("<");
    navigatorPanel.add(priorButton);

    JButton nextButton = new JButton(">");
    navigatorPanel.add(nextButton);

    JButton lastButton = new JButton(">>");
    navigatorPanel.add(lastButton);

    JButton newButton = new JButton("Ny");
    navigatorPanel.add(newButton);

    JButton updateButton = new JButton("Opdater");
    navigatorPanel.add(updateButton);

    JButton postButton = new JButton("Gem");
    navigatorPanel.add(postButton);

    JButton sletButton = new JButton("Slet");
    navigatorPanel.add(sletButton);


    Border navigatorPanelBorder = BorderFactory.createBevelBorder(BevelBorder.RAISED);
    navigatorPanel.setBorder(navigatorPanelBorder);

    laanereFrame.getContentPane().add(navigatorPanel,BorderLayout.NORTH);

    firstButton.addActionListener(laanereNavigatorButtonListener);
    nextButton.addActionListener(laanereNavigatorButtonListener);
    priorButton.addActionListener(laanereNavigatorButtonListener);
    lastButton.addActionListener(laanereNavigatorButtonListener);
    newButton.addActionListener(laanereNavigatorButtonListener);
    updateButton.addActionListener(laanereNavigatorButtonListener);
    postButton.addActionListener(laanereNavigatorButtonListener);
    sletButton.addActionListener(laanereNavigatorButtonListener);

    JPanel laanerePanel = new JPanel(new GridLayout(6,2));

    JLabel laanerIdLabel = new JLabel("LAANER_ID");
    JLabel navnLabel = new JLabel("NAVN");
    JLabel adresseLabel = new JLabel("ADRESSE");
    JLabel postNrByLabel = new JLabel("POSTNRBY");
    JLabel tlfLabel = new JLabel("TLF");
    JLabel regDatoLabel = new JLabel("REG_DATO");

    laanerIdTextField = new JTextField(12);
    navnTextField = new JTextField(30);
    adresseTextField = new JTextField(30);
    postNrByTextField = new JTextField(30);
    tlfTextField = new JTextField(8);
    regDatoTextField = new JTextField(12);

    laanerePanel.add(laanerIdLabel);
    laanerePanel.add(navnLabel);
    laanerePanel.add(laanerIdTextField);
    laanerePanel.add(navnTextField);

    laanerePanel.add(adresseLabel);
    laanerePanel.add(postNrByLabel);
    laanerePanel.add(adresseTextField);
    laanerePanel.add(postNrByTextField);

    laanerePanel.add(tlfLabel);
    laanerePanel.add(regDatoLabel);
    laanerePanel.add(tlfTextField);
    laanerePanel.add(regDatoTextField);

    Border laanerePanelBorder = BorderFactory.createBevelBorder(BevelBorder.RAISED);
    laanerePanel.setBorder(laanerePanelBorder);

    laanereFrame.getContentPane().add(laanerePanel,BorderLayout.CENTER);

    laanereFrame.pack();
    laanereFrame.show();
  }
}

