import rtl.*;
import java.util.*;

public class CprKontrol {
  public static void main(String[] args) {
    KbdRead kbd = new KbdRead();
    String[] ugeDag = {"soendag","mandag","tirsdag","onsdag","torsdag","fredag","loerdag"};
    String[] maaned = {"Januar","Februar","Marts","April","Maj","Juni",
                "Juli","August","September","Oktober","November","December"};
    byte[] kontrolCifre = {4,3,2,7,6,5,4,3,2,1};
    byte[] cprCiffer = new byte[10];
    Date dato = new Date();
    String cprStr="";
    int kontrolSum=0;

    System.out.print("Indtast dit cpr-nummer p formen XXXXXX-XXXX ");
    cprStr=kbd.readString();
    System.out.println();
    System.out.println("S fr du at vide, om det er et gyldigt cpr-nummer.");
    System.out.println();

    for (int k=0;k<6;k++) {
      cprCiffer[k] = (byte)Integer.parseInt(cprStr.substring(k,k+1));
    }
    for (int k=7;k<11;k++) {
      cprCiffer[k-1] = (byte)Integer.parseInt(cprStr.substring(k,k+1));
    }
    for (int i=0;i<10;i++) {
      kontrolSum = kontrolSum+ (int)(kontrolCifre[i]*cprCiffer[i]);
    }

    if ((kontrolSum % 11) == 0) {
      int foedselsaar = Integer.parseInt("19"+cprStr.substring(4,6));
      int foedselsmaaned = Integer.parseInt(cprStr.substring(2,4))-1;
      int foedselsdato = Integer.parseInt(cprStr.substring(0,2));
      Date foedselsdag = new Date(foedselsaar,foedselsmaaned,foedselsdato);
      int alder = 1900+dato.getYear()-foedselsaar;
      if ((foedselsmaaned>dato.getMonth()) ||
         ((foedselsmaaned==dato.getMonth()) && (foedselsdato>dato.getDate()))) alder=alder-1;
      String mk;
      if ((cprCiffer[9] % 2) == 0) {
        if (alder<18) mk="pige"; else mk="kvinde";
      }
      else {
        if (alder<18) mk="dreng"; else mk="mand";
      }

      System.out.println("Kre "+cprStr+" du er foedt "+ugeDag[foedselsdag.getDay()]+" den "+
                 foedselsdag.getDate()+" "+maaned[foedselsdag.getMonth()]+" "+
                 foedselsdag.getYear());
      System.out.println("Og du er en "+mk+" paa "+alder+" aar");

    }
    else {
      System.out.println(cprStr+" er ikke et korrekt cpr-nummer");
    }


    System.out.print("Vil du se en liste over alle gyldige cpr-numre med samme foedselsdato? j/n ");
    char svar=kbd.readChar();
    if(svar=='j') {
      int kontrolSum_6=0,nr=0,cprCifre_6=0,fak10=1;
      for (int k=5;k>=0;k--)  {
          cprCifre_6=cprCifre_6+cprCiffer[k]*fak10;
          fak10=10*fak10;
      }
      for (int i=0;i<6;i++) {
        kontrolSum_6 = kontrolSum_6+ kontrolCifre[i]*cprCiffer[i];
      }
      for (int g=0;g<10;g++) {
        for (int h=0;h<10;h++) {
          for (int i=0;i<10;i++) {
            int j=11-(kontrolSum_6+4*g+3*h+2*i+11) % 11;
            if(j<10) {
              nr++;
              System.out.print(""+cprCifre_6);
              System.out.print("-"+g+h+i+j+"  ");
              if((nr % 5) == 0 ) System.out.println();
              if((nr % 100) == 0 ) {
                System.out.print("Tryk p en tast for at fortstte");svar=kbd.readChar();
              }
            }
          }
        }
      }
      System.out.println();
    }
    System.exit(0);
  }
}

