import java.io.*;
import java.util.*;
import rtl.*;

public class Fibonacci {

  static int[] fiboArray(int n) {
    int[] a=new int[n+1];
    a[0]=0; a[1]=1;
    for(int k=2;k<=n;k++) {
      a[k]=a[k-1]+a[k-2];
    }
    return a;
  }

  static void fiboIterativ(int n) {
    int an=0,an1=1,an2;
    for(int k=2;k<=n;k++) {
      an2=an1+an;
      System.out.println("a"+k+" = "+an2);
      an=an1; an1=an2;
    }
  }

  static int fiboRekursiv(int n) {
    if((n==0)||(n==1))
      return n;
    else
      return fiboRekursiv(n-1)+fiboRekursiv(n-2);
  }

  static void udskriv(int n, int[] a) {
    for(int k=0;k<=n;k++) {
      System.out.print("a"+k+" = "+a[k]+"  ");
      if ((k+1)%5==0)System.out.println();
    }
  }

  public static void main(String args[]) {
    KbdRead kbd=new KbdRead();
    System.out.print("Antal Fibonacci tal "); int n=kbd.readInteger();
    int[] a=new int[n];
    System.out.println("I tabelform");
    System.out.println();
    udskriv(n,fiboArray(n));
    System.out.println();
    System.out.println("Tryk p en tast");
    char c=kbd.readChar();
    System.out.println("Iterativt");
    fiboIterativ(n);
    System.out.println();
    System.out.println("Tryk p en tast");
    c=kbd.readChar();
    System.out.println();
    System.out.print("Rekursivt: "+n+" .te Fibonacci tal er ");
    System.out.println(fiboRekursiv(n));
  }
}
