import javax.swing.*;
import java.util.*;

public class Dialogs {


  public static void showMessage(String message) {
    JFrame dialogFrame = new JFrame("Message Dialog");
    JOptionPane.showMessageDialog(dialogFrame,message);
  }

  public static int confirmOkCancel(String windowTitle,String question) {
    JFrame dialogFrame = new JFrame("OK  Cancel Dialog");
    int answer;
    answer=JOptionPane.showConfirmDialog(dialogFrame,question,windowTitle,JOptionPane.OK_CANCEL_OPTION);
    return answer;
  }

  public static int confirmYesNoCancel(String windowTitle,String question) {
    JFrame dialogFrame = new JFrame(windowTitle);
    int answer;
    answer=JOptionPane.showConfirmDialog(dialogFrame,question,windowTitle,JOptionPane.YES_NO_CANCEL_OPTION);
    return answer;
  }

  public static String inputDialog(String windowTitle, String question) {
    JFrame dialogFrame = new JFrame("Input Dialog");
    String answer;
    answer=JOptionPane.showInputDialog(dialogFrame,question,windowTitle,JOptionPane.QUESTION_MESSAGE);
    if ((answer!=null) && (answer.length()==0)) answer=null;
    return answer;
  }
}