import java.util.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.awt.event.*;

public class Boeger {

  public static JTextField isbnTextField;
  public static JTextField titelTextField;
  public static JTextField forfatterTextField;
  public static JTextField decKlasseTextField;
  public static JTextField antalTextField;
  public static JTextField regDatoTextField;
  public static JTextArea annotationTextArea;

  public Boeger() {

    JFrame boegerFrame = new JFrame("Bger");
    Container pane = boegerFrame.getContentPane();
    boegerFrame.setSize(400,300);

    BoegerNavigatorButtonListener boegerNavigatorButtonListener =
                                  new BoegerNavigatorButtonListener();
    JPanel navigatorPanel = new JPanel(new FlowLayout());

    JButton firstButton = new JButton("<<");
    navigatorPanel.add(firstButton);

    JButton priorButton = new JButton("<");
    navigatorPanel.add(priorButton);

    JButton nextButton = new JButton(">");
    navigatorPanel.add(nextButton);

    JButton lastButton = new JButton(">>");
    navigatorPanel.add(lastButton);

    JButton newButton = new JButton("Ny");
    navigatorPanel.add(newButton);

    JButton updateButton = new JButton("Opdater");
    navigatorPanel.add(updateButton);

    JButton postButton = new JButton("Gem");
    navigatorPanel.add(postButton);

    JButton sletButton = new JButton("Slet");
    navigatorPanel.add(sletButton);


    Border navigatorPanelBorder = BorderFactory.createBevelBorder(BevelBorder.RAISED);
    navigatorPanel.setBorder(navigatorPanelBorder);

    boegerFrame.getContentPane().add(navigatorPanel,BorderLayout.NORTH);

    firstButton.addActionListener(boegerNavigatorButtonListener);
    nextButton.addActionListener(boegerNavigatorButtonListener);
    priorButton.addActionListener(boegerNavigatorButtonListener);
    lastButton.addActionListener(boegerNavigatorButtonListener);
    newButton.addActionListener(boegerNavigatorButtonListener);
    updateButton.addActionListener(boegerNavigatorButtonListener);
    postButton.addActionListener(boegerNavigatorButtonListener);
    sletButton.addActionListener(boegerNavigatorButtonListener);

    JPanel boegerPanel = new JPanel(new GridLayout(6,2));

    JLabel isbnLabel = new JLabel("ISBN");
    JLabel titelLabel = new JLabel("TITEL");
    JLabel forfatterLabel = new JLabel("FORFATTER");
    JLabel decKlasseLabel = new JLabel("DEC_KLASSE");
    JLabel antalLabel = new JLabel("ANTAL");
    JLabel regDatoLabel = new JLabel("REG_DATO");

    isbnTextField = new JTextField(20);
    titelTextField = new JTextField(30);
    forfatterTextField = new JTextField(30);
    decKlasseTextField = new JTextField(30);
    antalTextField = new JTextField(3);
    regDatoTextField = new JTextField(12);

    boegerPanel.add(isbnLabel);
    boegerPanel.add(titelLabel);
    boegerPanel.add(isbnTextField);
    boegerPanel.add(titelTextField);

    boegerPanel.add(forfatterLabel);
    boegerPanel.add(decKlasseLabel);
    boegerPanel.add(forfatterTextField);
    boegerPanel.add(decKlasseTextField);

    boegerPanel.add(antalLabel);
    boegerPanel.add(regDatoLabel);
    boegerPanel.add(antalTextField);
    boegerPanel.add(regDatoTextField);

    JPanel annotationPanel = new JPanel(new FlowLayout());

    JLabel annotationLabel = new JLabel("ANNOTATION");
    annotationTextArea = new JTextArea(10,40);
    annotationTextArea.setLineWrap(true);
    annotationPanel.add(annotationLabel);
    annotationPanel.add(annotationTextArea);

    Border boegerPanelBorder = BorderFactory.createBevelBorder(BevelBorder.RAISED);
    boegerPanel.setBorder(boegerPanelBorder);

    Border annotationPanelBorder = BorderFactory.createBevelBorder(BevelBorder.RAISED);
    annotationPanel.setBorder(annotationPanelBorder);


    boegerFrame.getContentPane().add(boegerPanel,BorderLayout.CENTER);
    boegerFrame.getContentPane().add(annotationPanel,BorderLayout.SOUTH);

    boegerFrame.pack();
    boegerFrame.show();
  }
}

