import java.util.*;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.event.*;

public class FindMenuListener implements ActionListener {

  private static Vector boeger,laanere,udlaante;
  private static DbLaaner dbLaaner;

  public void actionPerformed(ActionEvent actionEvent) {
    String action = actionEvent.getActionCommand();

    if (action.equals("Ryd Sgefelter")) {
      Bibliotek.titelTextField.setText("");
      Bibliotek.forfatterTextField.setText("");
      Bibliotek.annotationTextField.setText("");
      Bibliotek.adresseTextField.setText("");
      Bibliotek.navnTextField.setText("");
      Bibliotek.tlfTextField.setText("");
      Bibliotek.bogSqlTextField.setText("");
      Bibliotek.laanerSqlTextField.setText("");
    }
    else
      if (action.equals("Find Bog")) {
        String forfatter=Bibliotek.forfatterTextField.getText().trim();
        if (!forfatter.equals("")) {
          boeger=DbBog.selectAllWhere("FORFATTER >= '"+forfatter+"' Order By FORFATTER Asc");
          if (boeger.size()>0) {
            Dialogs.showMessage("forfatterTextField: "+boeger.size()+" bger opfylder sgekriteriet");
            VisBoeger.visBogRecord(0,boeger);
          }
          else {
            Dialogs.showMessage("forfatterTextField: Ingen bger opfylder sgekriteriet");
          }
        }
        else {
          String titel=Bibliotek.titelTextField.getText().trim();
          if (!titel.equals("")) {
            boeger=DbBog.selectAllWhere("TITEL >= '"+titel+"' Order By TITEL Asc");
            if (boeger.size()>0) {
              Dialogs.showMessage("titelTextField: "+boeger.size()+" bger opfylder sgekriteriet");
              VisBoeger.visBogRecord(0,boeger);
            }
            else {
              Dialogs.showMessage("titelTextField: Ingen bger opfylder sgekriteriet");
            }
          }
          else {
            String annotation=Bibliotek.annotationTextField.getText().trim();
            if (!annotation.equals("")) {
              boeger=DbBog.selectAllWhere("ANNOTATION Like '%"+annotation+"%'");
              if (boeger.size()>0) {
                Dialogs.showMessage("annotationTextField: "+boeger.size()+" bger opfylder sgekriteriet");
                VisBoeger.visBogRecord(0,boeger);
              }
              else {
                Dialogs.showMessage("annotationTextField: Ingen bger opfylder sgekriteriet");
              }
            }
            else {
              String query=Bibliotek.bogSqlTextField.getText().trim();
              if (!query.equals("")) {
                boeger=DbBog.selectAllWhere(query);
                if (boeger.size()>0) {
                  Dialogs.showMessage(""+boeger.size()+"bogSqlTextField: bger opfylder sgekriteriet");
                  VisBoeger.visBogRecord(0,boeger);
                }
                else {
                  Dialogs.showMessage("bogSqlTextField: Ingen bger opfylder sgekriteriet");
                }
              }
            }
          }
        }
      }
      else
        if (action.equals("Find Lner")) {
          dbLaaner = new DbLaaner();
          String navn=Bibliotek.navnTextField.getText().trim();
          if (!navn.equals("")) {
            laanere=DbLaaner.selectAllWhere("NAVN >= '"+navn+"' Order By NAVN Asc");
            if (laanere.size()>0) {
              Dialogs.showMessage("navnTextField: "+laanere.size()+" lnere opfylder sgekriteriet");
              VisLaanere.visLaanerRecord(0,laanere);
            }
            else {
              Dialogs.showMessage("navnTextField: Ingen lnere opfylder sgekriteriet");
            }
          }
          else {
            String adresse=Bibliotek.adresseTextField.getText().trim();
            if (!adresse.equals("")) {
              laanere=DbLaaner.selectAllWhere("ADRESSE >= '"+adresse+"' Order By ADRESSE Asc");
              if (laanere.size()>0) {
                Dialogs.showMessage("adresseTextField: "+laanere.size()+" lnere opfylder sgekriteriet");
                VisLaanere.visLaanerRecord(0,laanere);
              }
              else {
                Dialogs.showMessage("adresseTextField: Ingen lnere opfylder sgekriteriet");
              }
            }
            else {
              String tlf=Bibliotek.tlfTextField.getText().trim();
              if (!tlf.equals("")) {
                laanere=DbLaaner.selectAllWhere("TLF = '"+tlf+"'");
                if (laanere.size()>0) {
                  Dialogs.showMessage("tlfTextField: "+laanere.size()+" lnere opfylder sgekriteriet");
                  VisLaanere.visLaanerRecord(0,laanere);
                }
                else {
                  Dialogs.showMessage("tlfTextField: Ingen lnere opfylder sgekriteriet");
                }
              }
              else {
                String laanerSql=Bibliotek.laanerSqlTextField.getText().trim();
                if (!laanerSql.equals("")) {
                  laanere=DbLaaner.selectAllWhere(laanerSql);
                  if (laanere.size()>0) {
                    Dialogs.showMessage("laanerSqlTextField: "+laanere.size()+" lnere opfylder sgekriteriet");
                    VisLaanere.visLaanerRecord(0,laanere);
                  }
                  else {
                    Dialogs.showMessage("laanerSqlTextField: Ingen lnere opfylder sgekriteriet");
                  }
                }
              }
            }
          }
        }
        else
        if (action.equals("Find Lner og Bog fra Udln")) {
            Dialogs.showMessage("Find Lner og Bog fra Udln");
            String isbn=Bibliotek.isbnTextField.getText().trim();
            boeger=DbBog.selectAllWhere("ISBN='"+isbn+"'");
            VisBoeger.visBogRecord(0,boeger);
            String laanerId=Bibliotek.laanerIdTextField.getText().trim();
            laanere=DbLaaner.selectAllWhere("LAANER_ID='"+laanerId+"'");
            VisLaanere.visLaanerRecord(0,laanere);
        }

    }

}
