import java.rmi.*;
import java.rmi.server.*;

public class BankServer {

  public static void main(String[] args) {
    try {
      System.out.println("Constructing Server implementations");

      BankServerImpl bank = new BankServerImpl("RMI-Banken");

      System.out.println("Binding Server implementation to Rmi registry");

      Naming.rebind("bank",bank);

      System.out.println("Venter p henvendelse fra Klienter");
    }
    catch(Exception e) {
      System.out.println("BankServer: "+e);
    }
  }
}
