import java.util.*;

public class Cykel {
	protected String  maerke;
	protected double hjuldiam ,udveksling,x,y,fart;
	protected int retning,rmp;
	
	Cykel(String maerke, double hjuldiam ,double udveksling) {
		retning=0;
		fart=0;
		rmp=0;
		this.maerke=maerke;
		this.hjuldiam=hjuldiam;
		this.udveksling=udveksling;
	}
	
	public String visMaerke() {
		return maerke;
	}
	
	public void koer(int rmp, int tid) {
		this.rmp=rmp;
		double pi=Math.PI;
		fart=pi*hjuldiam*udveksling/60.0*rmp;
		double s=fart*tid;
		x=x+s*Math.cos(retning*pi/180);
		y=y+s*Math.sin(retning*pi/180);
	}
	
	public boolean drej(int grader) {
		double rad=grader*Math.PI/180;
		boolean styrt;
		if (fart<1) styrt=Math.abs(grader)>45;
		else styrt=Math.abs(Math.tan(rad))>1/fart;
		if(!styrt) retning=retning+grader;
		return styrt;
	}
	
	public double[] visPosition() {
		double[] koor=new double[2];
		koor[0]=x; koor[1]=y;
		return koor;
	}
	
	public double visFart() {
		return fart;
	}
	
	public int visRetning() {
		return retning;
	}
}