import rtl.*;

public class BinTraeDemo {
static KbdRead kbd = new KbdRead();

public static BinTrae indsaetTrae(BinTrae r, BinTrae t) {
  if (r==null) {
    r = t;
    return r;
  }
  else {
    if (t.noegle.compareTo(r.noegle) < 0) r.venstre = indsaetTrae(r.venstre,t);
    else
      if (t.noegle.compareTo(r.noegle) > 0) r.hoejre = indsaetTrae(r.hoejre,t);
  }
  return r;
}

public static BinTrae soegTrae(BinTrae r, String soegeNoegle) {
  if (r!=null) {
    if (r.noegle.compareTo(soegeNoegle) == 0) return r;
    else {
      if (soegeNoegle.compareTo(r.noegle) < 0) r.venstre = soegTrae(r.venstre,soegeNoegle);
      else r.hoejre = soegTrae(r.hoejre,soegeNoegle);
    }
  }
  return null;
}

public static void udskrivTrae(BinTrae r) {
  if (r!=null) {
    udskrivTrae(r.venstre);
    System.out.println("Ngle: "+r.noegle+", Data: "+r.data);
    udskrivTrae(r.hoejre);
  }
}

public static int antalKnuder(BinTrae r) {
  int nk=0;
  if (r!=null) {
     nk = antalKnuder(r.venstre) + antalKnuder(r.hoejre) + 1;
  }
  return nk;
}


public static BinTrae skaerBort(BinTrae r, BinTrae q) {
  if (r.hoejre!=null) r.hoejre = skaerBort(r.hoejre, q);
  else {
    q.noegle = r.noegle; q.data = r.data;
    q = r; r = r.venstre;
  }
  return r;
}

public static BinTrae fjernKnude(BinTrae t, String noegle) {
  BinTrae q;
  if (t!=null) {
    if (noegle.compareTo(t.noegle)<0) t.venstre = fjernKnude(t.venstre, noegle);
    else
      if (noegle.compareTo(t.noegle)>0) t.hoejre = fjernKnude(t.hoejre, noegle);
      else {
        q = t;
        if (q.hoejre==null) t = q.venstre;
        else
          if (q.venstre==null) t = q.hoejre;
          else q.venstre = skaerBort(q.venstre, q);
      }
  }
  return t;
}

  public static void main(String[] args) {
    BinTrae t=null,rod=null;
    String noegle=null, data=null;
    char ch;
    System.out.println("Demoprogram for binre trer");
    System.out.println();
    do {
      System.out.print("I)ndst, S)g, U)dskriv, F)jern,  K)nuder, A)fslut: ");
      ch=kbd.readChar();
      switch(ch) {
        case 'i': {
          do {
            System.out.print("Skriv ngle til den nye knude (Enter afslutter): ");
            noegle = kbd.readString();
            System.out.print("Skriv data til den nye knude (Enter for tom): ");
            data = kbd.readString();
            if (!noegle.equals("")) {
              if (data.equals("")) data = noegle+"'s data";
              t = new BinTrae(noegle, data, null,null);
              rod = indsaetTrae(rod,t);
            }
          }
          while (!noegle.equals(""));
          break;
        }
        case 's': {
          System.out.print("Skriv ngle til den knude, der skal sges efter: ");
          noegle = kbd.readString();
          t = soegTrae(rod,noegle);
          if (t==null) System.out.println("Nglen "+noegle+", findes ikke i tret");
          else System.out.println("Nglen "+noegle+" er fundet i tret. Data for nglen er: "+t.data);
          break;
        }
        case 'u': {
          System.out.println("Tret udskrives In Order");
          udskrivTrae(rod); break;
        }
        case 'k': {
          System.out.println("Antal knuder i Tret er "+antalKnuder(rod));
          break;
        }
        case 'f' : {
          System.out.print("Skriv ngle til den knude, der skal fjernes:");
          noegle = kbd.readString();
          t = fjernKnude(rod, noegle);
          if (t==null) System.out.println("Nglen findes ikke i tret");
        }
      }
    }
    while (ch!='a');
    System.exit(0);
  }
}

class BinTrae {
  String noegle=null, data=null;
  BinTrae venstre=null, hoejre=null;
  BinTrae() {
  }
  BinTrae(String noegle, String data, BinTrae venstre, BinTrae hoejre) {
    this.noegle = noegle;
    this.data = data;
    this.venstre = venstre;
    this.hoejre = hoejre;
  }
}