import java.awt.*;
import java.applet.*;

public class HoppeBoldSimpleAnimation extends Applet {

  final static int D = 70;

  public void paint(Graphics graphics) {
    graphics.setColor(Color.white);
    graphics.fillRect(0,0, getBounds().width, getBounds().height);
    for (int x=0; x<getBounds().width-D; x+=4) {
      double angle = ((double)x)/50;
      int y = (int)(Math.abs(Math.sin(angle))*200);
      graphics.setColor(Color.red);
      graphics.fillOval(x,200-y, D,D);
      delay(50);
      graphics.setColor (Color.white);
      graphics.fillOval(x,200-y,D,D);
    }
    delay(2000);
  }

  private void delay (int ms) {
    try {
      Thread.sleep(ms);
    }
    catch (Exception ignored) {
    }
  }
}
